﻿using System;
using System.Windows.Forms;
using EsignSaasApi.Core;
using System.Collections.Generic;
using EsignSaasApi.Config;
using Newtonsoft.Json.Linq;

namespace WindowsFormsApp1
{
    public partial class AuthDemo : Form
    {
        public AuthDemo()
        {
            InitializeComponent();
        }

        //获取个人认证&授权页面链接
        private void button_1_1_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/psn-auth-url";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                          " +
                        "    \"psnAuthConfig\": {                                                                                 " +
                        "        \"psnAccount\": \"183****0101\",                                                                 " +
                        "        \"psnInfo\": {                                                                                   " +
                        "            \"psnName\": \"赵四\",                                                                       " +
                        "            \"psnIDCardNum\": \"130204********1001\",                                                    " +
                        "            \"psnIDCardType\": \"CRED_PSN_CH_IDCARD\"                                                    " +
                        "        },                                                                                               " +
                        "        \"psnAuthPageConfig\": {                                                                         " +
                        "            \"psnDefaultAuthMode\": \"PSN_MOBILE3\",                                                     " +
                        "            \"psnAvailableAuthModes\": [\"PSN_BANKCARD4\",\"PSN_MOBILE3\",\"PSN_FACE\"]                  " +
                        "        }                                                                                                " +
                        "    },                                                                                                   " +
                        "    \"authorizeConfig\": {                                                                               " +
                        "        \"authorizedScopes\": [\"get_psn_identity_info\",\"psn_initiate_sign\",\"manage_psn_resource\"]  " +
                        "    },                                                                                                   " +
                        "    \"notifyUrl\": \"http://xx.xx.xx.172:8081/CSTNotify/asyn/notify\",                                   " +
                        "    \"clientType\": \"ALL\",                                                                             " +
                        "    \"redirectConfig\": {                                                                                " +
                        "        \"redirectUrl\": \"https://www.xxx.cn/\"                                                         " +
                        "    }                                                                                                    " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);


        }

        private void button_1_2_Click(object sender, EventArgs e)
        {
            string psnAccount = "XXXX";
            string apiaddr = "/v3/persons/identity-info?psnAccount=" + psnAccount;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_1_3_Click(object sender, EventArgs e)
        {
            string psnId = "XXXX";
            string apiaddr = "v3/persons/" + psnId + "/authorized-info";
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_1_4_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/org-auth-url";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                                               " +
                            "    \"orgAuthConfig\": {                                                                                                     " +
                            "        \"orgName\": \"esignxx企业\",                                                                                        " +
                            "        \"orgInfo\": {                                                                                                       " +
                            "            \"orgIDCardNum\": \"9133010****8110212\",                                                                        " +
                            "            \"orgIDCardType\": \"CRED_ORG_USCC\",                                                                            " +
                            "            \"legalRepIDCardNum\": \"110101********1001\",                                                                   " +
                            "            \"legalRepIDCardType\": \"CRED_PSN_CH_IDCARD\",                                                                  " +
                            "            \"legalRepName\": \"这里是法定代表人的姓名\"                                                                     " +
                            "        },                                                                                                                   " +
                            "        \"orgAuthPageConfig\": {                                                                                             " +
                            "            \"orgDefaultAuthMode\": \"ORG_LEGALREP\",                                                                        " +
                            "            \"orgAvailableAuthModes\": [],                                                                                   " +
                            "            \"orgEditableFields\": []                                                                                        " +
                            "        },                                                                                                                   " +
                            "        \"transactorInfo\": {                                                                                                " +
                            "            \"psnAccount\": \"153****0000\",                                                                                 " +
                            "            \"psnInfo\": {                                                                                                   " +
                            "                \"psnName\": \"这里是经办人的姓名\",                                                                         " +
                            "                \"psnIDCardNum\": \"110102*****0000\",                                                                       " +
                            "                \"psnIDCardType\": \"CRED_PSN_CH_IDCARD\",                                                                   " +
                            "                \"bankCardNum\": \"111****253\",                                                                             " +
                            "                \"psnMobile\": \"151****0050\"                                                                               " +
                            "            }                                                                                                                " +
                            "        },                                                                                                                   " +
                            "        \"transactorAuthPageConfig\": {                                                                                      " +
                            "            \"psnDefaultAuthMode\": \"PSN_MOBILE3\",                                                                         " +
                            "            \"psnAvailableAuthModes\": [],                                                                                   " +
                            "            \"psnEditableFields\": []                                                                                        " +
                            "        }                                                                                                                    " +
                            "    },                                                                                                                       " +
                            "    \"authorizeConfig\": {                                                                                                   " +
                            "        \"authorizedScopes\": [\"get_org_identity_info\",\"get_psn_identity_info\",\"org_initiate_sign\",				      " +
                            "								\"psn_initiate_sign\",\"manage_org_resource\",\"manage_psn_resource\",\"use_org_order\"]      " +
                            "    },                                                                                                                       " +
                            "    \"redirectConfig\": {                                                                                                    " +
                            "        \"redirectUrl\": \"https://www.xxx.cn/\"                                                                             " +
                            "    },                                                                                                                       " +
                            "    \"clientType\": \"ALL\",                                                                                                 " +
                            "    \"notifyUrl\": \"http://xx.xx.xx.172:8081/CSTNotify/asyn/notify\"                                                        " +
                            "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_1_5_Click(object sender, EventArgs e)
        {
            string orgName = "测试企业有限公司";
            string apiaddr = "/v3/organizations/identity-info?orgName=" + orgName;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_1_6_Click(object sender, EventArgs e)
        {
            string orgId = "XXXX";
            string apiaddr = "/v3/organizations/" + orgId + "/authorized-info";
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_1_7_Click(object sender, EventArgs e)
        {
            string authFlowId = "XXXX";
            string apiaddr = "/v3/auth-flow/" + authFlowId;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }
    }
}
