﻿using EsignSaasApi.Config;
using EsignSaasApi.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class MembersDemo : Form
    {
        public MembersDemo()
        {
            InitializeComponent();
        }

        private void button_6_1_Click(object sender, EventArgs e)
        {
            string orgId = "XXXX";
            string apiaddr = "/v3/organizations/"+orgId+"/members";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                  " +
                        "  \"members\":[                          " +
                        "    {                                    " +
                        "      \"psnId\":\"d3fcf19***0ddc60a13\", " +
                        "      \"memberName\":\"成员1的姓名\",    " +
                        "      \"employeeNum\":\"100\"            " +
                        "    },                                   " +
                        "    {                                    " +
                        "      \"psnId\":\"501a277***6b19b7211\", " +
                        "      \"memberName\":\"成员2的姓名\",    " +
                        "      \"employeeNum\":\"101\"            " +
                        "    }                                    " +
                        "  ]                                      " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string orgId = "XXXX";

            string apiaddr = "/v3/organizations/"+orgId+"/members";
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                              " +
                        "    \"memberPsnIds\":[\"d3fcf1b***dc60a13\",\"8d28bfe***23b135f\"]   " +
                        "}";
            //请求方法
            string requestType = HttpType.DELETE;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string orgId = "XXXX";
            string apiaddr = "/v3/organizations/" + orgId + "/member-list?pageNum=1&pageSize=100";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            string orgId = "XXXX";
            string apiaddr = "/v3/organizations/" + orgId + "/administrators";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/organizations/org-console-url";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                 " +
                        "    \"orgId\": \"0c5bd4924****5648bfbf\",                               " +
                        "    \"transactorPsnId\":\"c7e002947****310541e7\",                      " +
                        "    \"menu\": [\"org_info\",\"org_seal_manage\",\"org_member_manage\"], " +
                        "    \"pageConfig\": {                                                   " +
                        "        \"distributor\": false                                          " +
                        "    },                                                                  " +
                        "    \"showTopBar\": true                                                " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }
    }
}
