﻿using EsignSaasApi.Config;
using EsignSaasApi.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class SealDemo : Form
    {
        public SealDemo()
        {
            InitializeComponent();
        }

        private void button_3_1_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/seals/psn-seals/create-by-template";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                            " +
                        "   \"psnId\": \"c7e002***0541e7\",                                                 " +
                        "   \"sealName\": \"这是一个自定义的名称\",                                   " +
                        "   \"sealTemplateStyle\": \"SQUARE_LEFT_BORDER\",                             " +
                        "   \"sealSize\":\"20_20\",                                                " +
                        "   \"sealColor\": \"RED\",                                                 " +
                        "   \"sealSuffix\": \"2\",                                                 " +
                        "   \"sealSuffix\": \"2\",                                                     " +
                        "   \"sealOldStyle\": \"OLD_1\",                                                " +
                        "   \"sealOpacity\": \"100\"                                               " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_2_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/seals/psn-seals/create-by-image";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                            " +
                        "   \"psnId\": \"c7e002***0541e7\",                                                 " +
                        "   \"sealImageFileKey\": \"$c3c7170e-xx-xx-xx-xx\",                                   " +
                        "   \"sealName\": \"这是一个自定义的印章名称\",                             " +
                        "   \"sealWidth\":\"20\",                                                " +
                        "   \"sealHeight\": \"20\",                                                 " +
                        "   \"sealColor\": \"RED\"                                                 " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_3_Click(object sender, EventArgs e)
        {
            string psnId = "XXXX";
            string pageNum = "1";
            string pageSize = "10";
            string apiaddr = "/v3/seals/psn-seal-list?pageNum=" + pageNum + "&pageSize=" + pageSize + "&psnId=" + psnId;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_4_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/seals/psn-seals/set-default-seal";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                            " +
                        "   \"psnId\": \"c7e002***0541e7\",                                                 " +
                        "   \"sealId\": \"d2749c50-xx-xx-xx-ce4482c7747f\"                                   " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_5_Click(object sender, EventArgs e)
        {
            string psnId = "XXXX";
            string sealId = "XXXX";

            string apiaddr = "/v3/seals/psn-seal?psnId=" + psnId + "&sealId=" + sealId;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.DELETE;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_6_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/seals/psn-seal-create-url";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                            " +
                        "   \"psnId\": \"c7e002***0541e7\",                                                 " +
                        "   \"sealName\": \"这是一个预定义印章名称\",                                                 " +
                        "   \"customBizNum\": \"这是一串开发者内部系统自定义的编号\",                                                 " +
                        "   \"redirectUrl\": \"https://www.xxx.cn\",                                                 " +
                        "   \"uneditableFields\": [\"sealName\",\"sealOpacity\"]                                   " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_7_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/seals/org-seals/create-by-template";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                            " +
                        "   \"orgId\": \"0c5bd492**8bfbf\",                                                 " +
                        "   \"sealName\": \"xx企业公章\",                                                 " +
                        "   \"sealTemplateStyle\": \"PUBLIC_ROUND_STAR\",                                                 " +
                        "   \"sealOpacity\": \"100\",                                                 " +
                        "   \"sealColor\": \"RED\",                                  " +
                        "   \"sealOldStyle\": \"OLD_12\",                                  " +
                        "   \"sealSize\": \"40_40\"                                  " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_8_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/seals/org-seals/create-by-image";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                            " +
                        "   \"orgId\": \"0c5bd492**8bfbf\",                                                 " +
                        "   \"sealName\": \"xx企业公章\",                                                 " +
                        "   \"sealImageFileKey\": \"$c3c7170e-xx-xx-xx-xx\",                                                 " +
                        "   \"sealWidth\": \"20\",                                                 " +
                        "   \"sealHeight\": \"10\",                                  " +
                        "   \"sealBizType\": \"CONTRACT\"                                  " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_9_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/seals/org-seals/external-auth";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                            " +
                        "   \"orgId\": \"0c5bd492**8bfbf\",                                                 " +
                        "   \"effectiveTime\": \"1636525541000\",                                                 " +
                        "   \"expireTime\": \"1668061541000\",                                                 " +
                        "   \"transactorPsnId\": \"c7e00294**41e7\",                                                 " +
                        "   \"authorizedOrgInfo\": {                                  " +
                        "    \"orgName\":\"这是一个受托企业的名称\",                                  " +
                        "    \"orgIDCardNum\":\"91330108******1222\"                                  " +
                        "     },                                  " +
                        "   \"sealId\": \"02590082-xx-xx-xx-2138db4d7b73\",                                                 " +
                        "   \"redirectUrl\": \"https://www.xx.cn\"                                                 " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_10_Click(object sender, EventArgs e)
        {
            string orgId = "XXXX";
            string authorizerOrgId = "XXXX";
            string pageNum = "1";
            string pageSize = "10";
            string apiaddr = "/v3/seals/org-authorized-seal-list?authorizerOrgId=" + authorizerOrgId + "&orgId=" + orgId + "&pageNum=" + pageNum + "&pageSize=" + pageSize;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_11_Click(object sender, EventArgs e)
        {
            string orgId = "XXXX";
            string sealBizTypes = "XXXX";
            string pageNum = "1";
            string pageSize = "10";
            string apiaddr = "/v3/seals/org-own-seal-list?orgId=" + orgId + "&pageNum=" + pageNum + "&pageSize=" + pageSize + "&sealBizTypes=" + sealBizTypes;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_12_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/seals/org-seals/auth-delete";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                            " +
                        "   \"orgId\": \"0c5bd492**8bfbf\",                                                 " +
                        "   \"deleteType\": \"sealIds\",                                                 " +
                        "   \"sealIds\": [\"02590082-xx-xx-xx-2138db4d7b73\",\"a1ccfad7-xx-xx-xx-84c51bf3a7e4\"]                                                 " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_3_13_Click(object sender, EventArgs e)
        {
            string orgId = "XXXX";
            string sealId = "XXXX";

            string apiaddr = "/v3/seals/psn-seal?orgId=" + orgId + "&sealId=" + sealId;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.DELETE;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        
    }
}
