﻿using EsignSaasApi.Config;
using EsignSaasApi.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class SignDemo : Form
    {
        public SignDemo()
        {
            InitializeComponent();
        }

        private void button_4_1_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/sign-flow/create-by-file";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                         " +
                        "  \"docs\":[                                                                    " +
                        "    {                                                                           " +
                        "      \"fileId\":\"0e99de7ce**2cd69\",                                          " +
                        "      \"fileName\":\"xx企业劳动合同.pdf\"                                       " +
                        "    }                                                                           " +
                        "  ],                                                                            " +
                        "  \"attachments\":[                                                             " +
                        "    {                                                                           " +
                        "      \"fileId\":\"b4e551**9db2cd69\",                                          " +
                        "      \"fileName\":\"入职材料.pdf\"                                             " +
                        "    }                                                                           " +
                        "  ],                                                                            " +
                        " \"signFlowInitiator\": {                                                       " +
                        "		\"orgInitiator\": {                                                      " +
                        "			\"orgId\": \"0c5bd492**648bfbf\",                                    " +
                        "			\"transactor\": {                                                    " +
                        "				\"psnId\": \"72914ce4**ab33deea317\"                             " +
                        "			}                                                                    " +
                        "		}                                                                        " +
                        "	},                                                                           " +
                        "  \"signers\":[                                                                 " +
                        "    {                                                                           " +
                        "      \"psnSignerInfo\":{                                                       " +
                        "        \"psnAccount\":\"183****0101\"                                          " +
                        "      },                                                                        " +
                        "      \"signConfig\":{                                                          " +
                        "        \"forcedReadingTime\":\"10\",                                           " +
                        "        \"signOrder\":1                                                         " +
                        "      },                                                                        " +
                        "      \"signFields\":[                                                          " +
                        "        {                                                                       " +
                        "          \"customBizNum\":\"202200001111\",                                    " +
                        "          \"fileId\":\"0e99de7ce***9db2cd69\",                                  " +
                        "          \"normalSignFieldConfig\":{                                           " +
                        "            \"autoSign\":false,                                                 " +
                        "            \"freeMode\":false,                                                 " +
                        "            \"movableSignField\":false,                                         " +
                        "            \"psnSealStyles\":\"1\",                                            " +
                        "            \"signFieldPosition\":{                                             " +
                        "              \"positionPage\":\"1\",                                           " +
                        "              \"positionX\":100,                                                " +
                        "              \"positionY\":200                                                 " +
                        "            },                                                                  " +
                        "            \"signFieldSize\":55,                                               " +
                        "            \"signFieldStyle\":1                                                " +
                        "          },                                                                    " +
                        "          \"signFieldType\":0                                                   " +
                        "        }                                                                       " +
                        "      ],                                                                        " +
                        "      \"signerType\":0                                                          " +
                        "    }                                                                           " +
                        "  ],                                                                            " +
                        "  \"signFlowConfig\":{                                                          " +
                        "    \"autoFinish\":false,                                                       " +
                        "    \"autoStart\":true,                                                         " +
                        "    \"chargeConfig\":{                                                          " +
                        "      \"chargeMode\":0                                                          " +
                        "    },                                                                          " +
                        "    \"noticeConfig\":{                                                          " +
                        "      \"noticeTypes\":\"1\"                                                     " +
                        "    },                                                                          " +
                        "    \"notifyUrl\":\"http://xx.xx.86.172:8081/asyn/notify\",                     " +
                        "    \"redirectConfig\":{                                                        " +
                        "      \"redirectDelayTime\":\"3\",                                              " +
                        "      \"redirectUrl\":\"http://www.xx.cn/\"                                     " +
                        "    },                                                                          " +
                        "    \"signConfig\":{                                                            " +
                        "      \"availableSignClientTypes\":\"1\",                                       " +
                        "      \"showBatchDropSealButton\":true                                          " +
                        "    },                                                                          " +
                        "    \"authConfig\": {                                                           " +
                        "			\"psnAvailableAuthModes\": [\"PSN_FACE\"],                           " +
                        "			\"willingnessAuthModes\": [\"PSN_FACE_TECENT\",\"PSN_FACE_ALIPAY\"], " +
                        "      \"orgAvailableAuthModes\":[\"ORG_BANK_TRANSFER\",\"ORG_LEGALREP\"]        " +
                        "		},                                                                       " +
                        "    \"signFlowExpireTime\":165467****000,                                       " +
                        "    \"signFlowTitle\":\"企业员工劳动合同签署\"                                  " +
                        "  }                                                                             " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_2_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/"+ signFlowId + "/sign-url";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                   " +
                        "  \"clientType\": \"ALL\",          " +
                        "  \"needLogin\": true,              " +
                        "  \"operator\": {                   " +
                        "    \"psnAccount\": \"183****0101\" " +
                        "  },                                " +
                        "  \"urlType\": 2                    " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_3_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/sign-flow/batch-sign-url";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                                   " +
                        "    \"operatorId\":\"c7e0029472914ce4a3xxxe7\",                           " +
                        "    \"redirectUrl\":\"xxx\",                                              " +
                        "    \"signFlowIds\":[\"ba619b6d0***bf8e9xxe4\",\"7b90e0d09***29a67dx53\"] " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_4_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/file-download-url";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_5_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/start";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_6_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/finish";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_7_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/revoke";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_8_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/delay";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                  "+
                        "   \"signFlowExpireTime\": 1654849671000  "+
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_9_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/urge";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                " +
                        "	\"noticeTypes\": \"1\",             " +
                        "	\"urgedOperator\": {                " +
                        "		\"psnAccount\": \"183****0101\" " +
                        "	}                                   " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_10_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/detail";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.GET;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_11_Click(object sender, EventArgs e)
        {
            string apiaddr = "/v3/sign-flow/sign-flow-list";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                      " +
                        "	\"operator\": {                           " +
                        "		\"psnAccount\": \"183****0101\",      " +
                        "		\"psnId\": \"\"                       " +
                        "	},                                        " +
                        "	\"pageNum\": 1,                           " +
                        "	\"pageSize\": 20,                         " +
                        "	\"signFlowStartTimeFrom\": 1648801671000, " +
                        "	\"signFlowStartTimeTo\": 1651393671000,   " +
                        "	\"signFlowStatus\": [1,2]                 " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_12_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/signers/sign-fields";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                      " +
                        "	\"signers\": [                                            " +
                        "		{                                                     " +
                        "			\"noticeConfig\": {                               " +
                        "				\"noticeTypes\": \"1\"                        " +
                        "			},                                                " +
                        "			\"psnSignerInfo\": {                              " +
                        "				\"psnAccount\": \"153****0000\"               " +
                        "			},                                                " +
                        "			\"signConfig\": {                                 " +
                        "				\"forcedReadingTime\": 10,                    " +
                        "				\"signOrder\": 2                              " +
                        "			},                                                " +
                        "			\"signFields\": [                                 " +
                        "				{                                             " +
                        "					\"customBizNum\": \"202201010001\",       " +
                        "					\"fileId\": \"0e99de7c***09db2cd69\",     " +
                        "					\"remarkSignFieldConfig\": {              " +
                        "						\"aiCheck\": 0,                       " +
                        "						\"freeMode\": true,                   " +
                        "						\"movableSignField\": true,           " +
                        "						\"remarkContent\": \"我已阅读并知悉\"," +
                        "						\"remarkFontSize\": 20,               " +
                        "						\"signFieldHeight\": 100,             " +
                        "						\"signFieldPosition\": {              " +
                        "							\"acrossPageMode\": \"\",         " +
                        "							\"positionPage\": \"1\",          " +
                        "							\"positionX\": 100,               " +
                        "							\"positionY\": 100                " +
                        "						},                                    " +
                        "						\"signFieldWidth\": 100               " +
                        "					},                                        " +
                        "					\"signFieldType\": 1                      " +
                        "				}                                             " +
                        "			],                                                " +
                        "			\"signerType\": 0                                 " +
                        "		}                                                     " +
                        "	]                                                         " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_13_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string signFieldIds = "XXXX,YYYY";

            string apiaddr = "/v3/sign-flow/"+ signFlowId +"/signers/sign-fields?signFieldIds="+ signFieldIds;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.DELETE;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_14_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/"+ signFlowId +"/unsigned-files";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                     " +
                        "  \"unsignedFiles\": [                      " +
                        "    {                                       " +
                        "      \"fileId\": \"ea3151a8d***a53d3f4c\", " +
                        "      \"fileName\": \"入职证明.pdf\"        " +
                        "    }                                       " +
                        "  ]                                         " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_15_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string fileIds = "XXXX,YYYY";

            string apiaddr = "/v3/sign-flow/" + signFlowId + "/unsigned-files?fileIds" + fileIds;
            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "";
            //请求方法
            string requestType = HttpType.DELETE;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_16_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/copiers";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                   " +
                        "    \"copiers\":[                                         " +
                        "        {                                                 " +
                        "            \"copierOrgInfo\":{                           " +
                        "                \"orgName\":\"这是个抄送通知企业的名称\", " +
                        "                \"orgId\":\"\"                            " +
                        "            },                                            " +
                        "            \"copierPsnInfo\":{                           " +
                        "                \"psnAccount\":\"153****7650\",           " +
                        "                \"psnId\":\"\"                            " +
                        "            }                                             " +
                        "        }                                                 " +
                        "    ]                                                     " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_17_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/" + signFlowId + "/copiers/delete";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                                " +
                        "    \"copiers\":[                                      " +
                        "        {                                              " +
                        "            \"copierPsnInfo\":{                        " +
                        "                \"psnId\":\"\",                        " +
                        "                \"psnAccount\":\"151****0101\"         " +
                        "            },                                         " +
                        "            \"copierOrgInfo\":{                        " +
                        "                \"orgId\":\"\",                        " +
                        "                \"orgName\":\"这是个抄送方的企业名称\" " +
                        "            }                                          " +
                        "        }                                              " +
                        "    ]                                                  " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_18_Click(object sender, EventArgs e)
        {
            string fileId = "XXXX";
            string apiaddr = "/v3/files/"+fileId+"/verify";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                        "+
                        "  \"signFlowId\":\"XXXXX\"     "+
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }

        private void button_4_19_Click(object sender, EventArgs e)
        {
            string signFlowId = "XXXX";
            string apiaddr = "/v3/sign-flow/"+signFlowId+"/rescission-url";

            //请求参数body体,json格式。get或者delete请求时jsonString传空json:"{}"或者null
            string jsonParm = "{                                              " +
                        "    \"rescissionInitiator\":{                        " +
                        "        \"orgInitiator\":{                           " +
                        "            \"orgId\":\"0c5bd49248***5648bfbf\",     " +
                        "            \"transactor\":{                         " +
                        "                \"psnId\":\"c7e002947***310541e7\"   " +
                        "            }                                        " +
                        "        }                                            " +
                        "    },                                               " +
                        "    \"signFlowConfig\":{                             " +
                        "        \"chargeConfig\":{                           " +
                        "            \"chargeMode\":0                         " +
                        "        },                                           " +
                        "        \"noticeConfig\":{                           " +
                        "            \"noticeTypes\":\"1,2\"                  " +
                        "        },                                           " +
                        "        \"notifyUrl\":\"https://xx.xx.xx/callback\"  " +
                        "    }                                                " +
                        "}";
            //请求方法
            string requestType = HttpType.POST;
            //生成签名鉴权方式的的header
            Dictionary<string, string> headers = HttpHelper.SignAndBuildSignAndJsonHeader(EsignConfig.AppId, EsignConfig.App_Secret, jsonParm, requestType, apiaddr);
            //发起接口请求
            HttpRespResult resp = HttpHelper.DoCommHttp(EsignConfig.Host, apiaddr, requestType, jsonParm, headers);

            textBox2.Text = jsonParm;
            textBox3.Text = Convert.ToString(resp.RespData);
        }
    }
}
